Summary:	Multipurpose relay
Summary(pl.UTF-8):	Przekaźnik o wielu zastosowaniach
Name:		socat
Version:	1.7.4.4
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.bz2
# Source0-md5:	a605d3779465f42c07fc507cfbfb08f9
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.tmpfiles
URL:		http://www.dest-unreach.org/socat/
BuildRequires:	gettext-tools
BuildRequires:	libwrap-devel >= 7.6-30
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	sed >= 4.0
BuildRequires:	yodl
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.1.26-2
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Socat is a relay for bidirectional data transfer between two
independent data channels. Each of these data channels may be a file,
pipe, device (terminal or modem, etc.), socket (Unix, IPv4, IPv6 -
raw, UDP, TCP), a client for SOCKS4, proxy CONNECT, or SSL, etc. It
provides forking, logging, and dumping, different modes for
interprocess communication, and many more options. It can be used, for
example, as a TCP relay (one-shot or daemon), as a daemon-based
socksifier, as a shell interface to Unix sockets, as an IPv6 relay,
for redirecting TCP-oriented programs to a serial line, or to
establish a relatively secure environment (su and chroot) for running
client or server shell scripts with network connections.

%description -l pl.UTF-8
Socat to przekaźnik do dwukierunkowego przesyłania danych pomiędzy
dwoma niezależnymi kanałami danych. Każdy z tych kanałów może być
plikiem, potokiem, urządzeniem (terminalem, modemem itp.), gniazdem
(uniksowym, IPv4, IPv6 - surowym, UDP, TCP), klientem SOCKS4, proxy
CONNECT, albo SSL itp. Socat ma możliwość forkowania, logowania i
zrzucania danych, różne tryby komunikacji międzyprocesowej oraz wiele
innych opcji. Może być używane np. jako przekaźnik TCP (jednorazowy
lub demon), jako demon przesyłający przez SOCKS, jako interfejs dla
powłoki do gniazd uniksowych, jako przekaźnik IPv6, do
przekierowywania programów korzystających z TCP na port szeregowy albo
do stworzenia względnie bezpiecznego środowiska (su i chroot) do
uruchamiania klienckich lub serwerowych skryptów powłoki z
połączeniami sieciowymi.

%prep
%setup -q

%{__sed} -i -e 's#-lssl#-lssl -lcrypto#g' configure*

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	CFLAGS="%{rpmcflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/var/run/%{name}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,%{name}} \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

cat >> $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/example.conf <<'EOF'
# socat [options] <bi-address> <bi-address>
OPTIONS=""
BIADDRESS1="UNIX-LISTEN:/var/lib/mysql/mysql.sock,fork,user=mysql,group=mysql,mode=777"
BIADDRESS2="TCP:localhost:3306"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service socat restart "socat"

%preun
if [ "$1" = "0" ]; then
	%service socat stop
	/sbin/chkconfig --del socat
fi

%files
%defattr(644,root,root,755)
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ README SECURITY
%dir %{_sysconfdir}/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/example.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/socat
%attr(754,root,root) /etc/rc.d/init.d/socat
%attr(755,root,root) %{_bindir}/filan
%attr(755,root,root) %{_bindir}/procan
%attr(755,root,root) %{_bindir}/socat
%dir /var/run/%{name}
%{systemdtmpfilesdir}/%{name}.conf
%{_mandir}/man1/socat.1*
%changelog
* Mon Oct 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/socat.git;a=log;h=master

* Mon Oct 31 2022 Jan Palus <atler@pld-linux.org> cfb19b3
- BR: gettext-tools

* Sun Oct 30 2022 Jan Palus <atler@pld-linux.org> 24cfed7
- up to 1.7.4.4

* Fri Jul 01 2022 Jakub Bogusz <qboosh@pld-linux.org> c2437ce
- cleanups, more dependencies

* Sun Jan 09 2022 Jan Palus <atler@pld-linux.org> 2aa96e7
- up to 1.7.4.3

* Fri Nov 05 2021 Jan Palus <atler@pld-linux.org> 87df484
- up to 1.7.4.2

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 4aa5f86
- rebuild with openssl 3.0.0

* Tue Jan 12 2021 Jan Palus <atler@pld-linux.org> 40c5c30
- up to 1.7.4.1

* Tue Jan 05 2021 Jan Palus <atler@pld-linux.org> ec20c8f
- enable LFS

* Tue Jan 05 2021 Jan Palus <atler@pld-linux.org> 57774ea
- up to 1.7.4.0

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f4fb0c
- release 2 (by relup.sh)

* Tue Apr 09 2019 Adam Gołębiowski <adamg@pld-linux.org> 79ecc31
- updated to 1.7.3.3

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 721b6b3
- release 2 (by relup.sh)

* Tue Jul 11 2017 Adam Osuchowski <adwol@pld-linux.org> ebffafa
- up to 1.7.3.2
- remove unnecessary socat-fixes.patch

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 3943ee6
- rebuild with readline 7.0
- release 3 (by relup.sh)

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 665bf8c
- openssl 1.0.2g rebuild
- release 2 (by relup.sh)

* Sun Feb 07 2016 Adam Osuchowski <adwol@pld-linux.org> 3ff04c0
- up to 1.7.3.1 (security update)

* Thu Feb 19 2015 Adam Osuchowski <adwol@pld-linux.org> c2b12a2
- up to 1.7.3.0
- extra fixes from author
- BR: yodl

* Sun Dec 28 2014 Adam Osuchowski <adwol@pld-linux.org> 83751f1
- up to 1.7.2.4

* Tue Jun 11 2013 Kacper Kornet <draenog@pld-linux.org> a55e364
- updated to 1.7.2.2; fixes CVE-2013-3571

* Sat Jun 02 2012 blekot <blekot@pld-linux.org> 026decd
- up to 1.7.2.1

